Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# PandaSystem Class Reference

This class is used as a namespace to group several global properties of Panda. More...

List of all members.

## Public Member Functions
| addSystem (string system)
int | getNumSystems ()
string | getSystem (int n)
string | getSystemTag (string system, string tag)
bool | hasSystem (string system)
bool | heapTrim (unsigned int pad)
| output (ostream out)
| setSystemTag (string system, string tag, string value)
| write (ostream out)
## Static Public Member Functions
static string | getBuildDate ()
static TypeHandle | getClassType ()
static string | getCompiler ()
static string | getDistributor ()
static PandaSystem | getGlobalPtr ()
static int | getMajorVersion ()
static int | getMinorVersion ()
static string | getP3dCoreapiVersionString ()
static string | getPackageHostUrl ()
static string | getPackageVersionString ()
static string | getPlatform ()
static int | getSequenceVersion ()
static string | getVersionString ()
static bool | isOfficialVersion ()

## Detailed Description

This class is used as a namespace to group several global properties of Panda.

Application developers can use this class to query the runtime version or capabilities of the current Panda environment.

## Member Function Documentation

addSystem | ( | string | system | ) |

static string getBuildDate | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

static string getCompiler | ( |  | ) | `[static]`

static string getDistributor | ( |  | ) | `[static]`

static PandaSystem getGlobalPtr | ( |  | ) | `[static]`

static int getMajorVersion | ( |  | ) | `[static]`

static int getMinorVersion | ( |  | ) | `[static]`

int getNumSystems | ( |  | ) |

static string getP3dCoreapiVersionString | ( |  | ) | `[static]`

static string getPackageHostUrl | ( |  | ) | `[static]`

static string getPackageVersionString | ( |  | ) | `[static]`

static string getPlatform | ( |  | ) | `[static]`

static int getSequenceVersion | ( |  | ) | `[static]`

string getSystem | ( | int | n | ) |

string getSystemTag | ( | string | system,
|  | string | tag
| ) |  |

static string getVersionString | ( |  | ) | `[static]`

bool hasSystem | ( | string | system | ) |

bool heapTrim | ( | unsigned int | pad | ) |

static bool isOfficialVersion | ( |  | ) | `[static]`

output | ( | ostream | out | ) |

setSystemTag | ( | string | system,
|  | string | tag,
|  | string | value
| ) |  |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties